layui.define(['form', 'laydate', 'table', 'festivalApi' ], function(exports) {
	var form = layui.form;
	var laydate = layui.laydate;
	var table = layui.table;
	var channelUrlApi=layui.channelUrlApi;
	var festivalTable = null;
	var view = {
		init: function(){
			this.initTable();
			this.initSearchForm();
			this.initToolBar();
			window.dataReload = function(){
				Lib.doSearchForm($("#searchForm"), festivalTable)
			}
		},
		initTable:function() {
			festivalTable = table.render({
				elem : '#festivalTable',
				height : Lib.getTableHeight(2),
				method : 'post',
				url : Common.ctxPath + '/directed/festival/list.json' //数据接口
				,page : true //开启分页
				,limit : 10,
				cols : [[ //表头
                    {
                        type : 'checkbox'
                    }, {
                        field : 'id',
                        title : 'ID',
                        width : 80,
                    }, {
                        field : 'fescod',
                        title : '活动编码',
                        width : 80,
                    }, {
                        field : 'fesname',
                        title : '活动名称',
                        width : 260,
                    }, {
                        field : 'title',
                        title : '活动页面标题',
                        width : 200,
                    }, {
                        field : 'paritycode',
                        title : '平价活动',
                        width : 80,
                    }, {
                        field : 'allchannel',
                        title : '全渠道',
                        width : 80,
                    }, {
                        field : 'stime',
                        title : '开始时间(含当天)',
                        width : 140,
                        sort : true,
                    }, {
                        field : 'etime',
                        title : '结束时间(含当天)',
                        width : 140,
                        sort : true,
                    }, {
                        field : 'inserttime',
                        title : '插入时间',
                        width : 150,
                        sort : true,
                    }, {
                        field : 'updatetime',
                        title : '更新时间',
                        width : 150,
                        sort : true,
                    }, {
                        field : 'url',
                        title : 'url',
                        width : 500,
                    }, {
                        field : 'fes',
                        title : 'fes',
                        width : 60,
                    }
				]],done: function (res, curr, count) {
	               	 layer.closeAll('loading');
	            }
			});
		},

		initSearchForm:function(){
			Lib.initSearchForm( $("#searchForm"), festivalTable, form);
		},
		initToolBar:function(){
			toolbar = {
                add : function() { //获取选中数据
                    var url = "/directed/festival/add.do";
                    Common.openDlg(url,"活动管理 > 新增活动");
                },
                edit : function() { //获取选中数目
                    var data = Common.getOneFromTable(table, "festivalTable");
                    if(data==null){
                        return ;
                    }

                    var url = "/directed/festival/edit.do?id=" + data.id;
                    Common.openDlg(url,"活动管理 > 编辑");
                },
                del : function() { //获取选中数目
                    var data = Common.getOneFromTable(table, "festivalTable");
                    if (data == null){
                        return ;
                    }

                    layer.confirm('确认删除选择的记录吗?', function(index) {
                        $.post({
                            url: Common.ctxPath + '/directed/festival/del.json?id=' + data.id + '&fescod=' + data.fescod,
                            dataType: 'JSON',
                            success: function (data) {
                                window.dataReload();
                                if (data.code == "0")  {
                                    Common.info("删除成功");
                                } else {
                                    Common.info(data.msg);
                                }
                            },
                            error: function (data) {
                                console.log(data)
                            }
                        });

                        layer.close(index);
                    });
                },
                product : function() {
                    var data = Common.getOneFromTable(table, "festivalTable");
                    if(data==null){
                        return ;
                    }

                    var url = "/directed/festivalProduct/index.do?fescod=" + data.fescod;
                    Common.openDlg(url,"活动管理 > 产品");
                }
            };
			$('.ext-toolbar').on('click', function() {
				var type = $(this).data('type');
				toolbar[type] ? toolbar[type].call(this) : '';
			});
		}
	};

	 exports('index',view);

});
